# AMBIENTE LOCAL PARA DESARROLLADORES (MRDEVS TOOLS)
## GUÍA PARA DESARROLLADORES - REV. 08/12/2024

### PREPARACIÓN DE AMBIENTE LOCAL PARA DESARROLLADORES

#### Creación del área local de trabajo para desarrolladores

En la carpeta $HOME descargue el repositorio devs (la carpeta no debe existir):

    $ cd $HOME
    $ git clone https://git.rosero.one/mrosero/devs.git

**Nota:** Previamente, debe tener instalado el comando git.

#### Instalación de herramientas básicas y de gestión de contenedores 

A partir de este momento, la carpeta $HOME/devs será nuestra área de desarrollo donde se descargaran los diversos ambientes de desarrollo. Como primer paso instalaremos las herramientas básicas y de gestión de contenedores. Por razones de seguridad, priorizamos el uso de **podman**.

    $ cd $HOME/devs
    $ bin/bootstrap.sh

#### Actualización de ambiente local de desarrollo

Actualice los nuevos cambios y funcionalidades del ambiente de desarrollo local raíz

    $ cd $HOME/devs
    $ bin/update.sh

### ACCESO VPN A INFRAESTRUCTURA PARA DESARROLLADORES

#### Instalación de Cliente VPN con ambiente GUI (gráfico)

Para tener acceso a todos los recursos y servidores de desarrollo se requiere acceder vía VPN a la infraestructura d desarrollo. Para esto, se requiere instalar el cliente PRITUNL como sigue:

    $ cd $HOME/devs
    $ bin/vpn_install.sh [--help] [--version] [--update]

Nota: En determinadas versiones, las actualizaciones a partir de los repositorios no es posible por lo que usamos el argumento --update.

#### Instalación de Cliente OpenVPN con ambiente TUI (texto)

(pendiente)

#### Obtener archivo de configuración para acceso VPN

(pendiente)

### GESTIONANDO PERIFL DE DESARROLLADOR

#### Configuración por defecto de comportamineto GPG

En la carpeta **$HOME/devs/bin/config** existe un archivo de configuración **gpg.config** que contiene los parámetros de comportamiento por defecto para **[GNUGP](https://gnupg.org/)** que son los recomendados para el uso de la plataforma. Si tienes alguno en uso, está función le sacará previamente una copia y aplicará el de la plataforma siguiendo los siguientes pasos:

    $ cd $HOME/devs
    $ bin/gpg_init.sh

#### Copia de básica del perfil del desarrollador

Para realizar una copia de seguridad de sus configuraciones de desarrollador que involucran claves GPG, claves SSH, configuración GIT y otros, ejecute los siguientes comandos:

    $ cd $HOME/devs
    $ bin/gpg_backup.sh

